{
	gunpic

	accepttext

	Init[ (s)
	{
		MenuBackground(267);

		gunpic = AddFloatingSprite(GetCurrentGunSprite(),"HostGunChoiceNextGun",10,57,true);

		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		SetCurrentGunString();
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddMenuItem(26, "HostGunChoiceNextNationality");
		SetCurrentNationalityString();
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddMenuItem(69,"HostGunChoiceHost");

		accepttext=AddFloatingTextJustify(530, 0, 195, false,32767);
                accepttext.SetFontNum(1);
	} ]

	HideAcceptBack[ (s)
	{
		accepttext.SetVisible(false);
	} ]

	ShowAcceptBack[ (s)
	{
		accepttext.SetVisible(true);
	} ]

	HostGunChoiceNextNationality[ (s)
	{
		NextNationality();
		gunpic.SetSprite(GetCurrentGunSprite());
	} ]

	HostGunChoiceNextGun[ (s)
	{
		NextGunChoice();
		gunpic.SetSprite(GetCurrentGunSprite());
	} ]

	HostGunChoiceHost[ (s)
	{
		HostGunChoiceReady();
		//OpenMenu("HostGameMenu");
	} ]

	HostGunChoiceBack[ (s)
	{
		return;
	} ]
}